<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.wechat.mapper.WechatFansFriendMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.wechat.model.WechatFansFriend" >
    <id column="WECHAT_FANS_FRIEND_ID" property="wechatFansFriendId" jdbcType="BIGINT" />
    <result column="FRI_MAINRID" property="friMainrid" jdbcType="BIGINT" />
    <result column="FRI_OTHERID" property="friOtherid" jdbcType="BIGINT" />
    <result column="CREATE_BY" property="createBy" jdbcType="BIGINT" />
    <result column="CREATE_TIME" property="createTime" jdbcType="CHAR" />
    <result column="UPDATE_BY" property="updateBy" jdbcType="BIGINT" />
    <result column="UPDATE_TIME" property="updateTime" jdbcType="CHAR" />
    <result column="IS_DELETE" property="isDelete" jdbcType="CHAR" />
  </resultMap>
  <sql id="Base_Column_List" >
    WECHAT_FANS_FRIEND_ID, FRI_MAINRID, FRI_OTHERID, CREATE_BY, CREATE_TIME, UPDATE_BY, 
    UPDATE_TIME, IS_DELETE
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from wechat_fans_friend
    where WECHAT_FANS_FRIEND_ID = #{wechatFansFriendId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from wechat_fans_friend
    where WECHAT_FANS_FRIEND_ID = #{wechatFansFriendId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.wechat.model.WechatFansFriend" >
    insert into wechat_fans_friend (WECHAT_FANS_FRIEND_ID, FRI_MAINRID, FRI_OTHERID, 
      CREATE_BY, CREATE_TIME, UPDATE_BY, 
      UPDATE_TIME, IS_DELETE)
    values (#{wechatFansFriendId,jdbcType=BIGINT}, #{friMainrid,jdbcType=BIGINT}, #{friOtherid,jdbcType=BIGINT}, 
      #{createBy,jdbcType=BIGINT}, #{createTime,jdbcType=CHAR}, #{updateBy,jdbcType=BIGINT}, 
      #{updateTime,jdbcType=CHAR}, #{isDelete,jdbcType=CHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.wechat.model.WechatFansFriend" >
    insert into wechat_fans_friend
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="wechatFansFriendId != null" >
        WECHAT_FANS_FRIEND_ID,
      </if>
      <if test="friMainrid != null" >
        FRI_MAINRID,
      </if>
      <if test="friOtherid != null" >
        FRI_OTHERID,
      </if>
      <if test="createBy != null" >
        CREATE_BY,
      </if>
      <if test="createTime != null" >
        CREATE_TIME,
      </if>
      <if test="updateBy != null" >
        UPDATE_BY,
      </if>
      <if test="updateTime != null" >
        UPDATE_TIME,
      </if>
      <if test="isDelete != null" >
        IS_DELETE,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="wechatFansFriendId != null" >
        #{wechatFansFriendId,jdbcType=BIGINT},
      </if>
      <if test="friMainrid != null" >
        #{friMainrid,jdbcType=BIGINT},
      </if>
      <if test="friOtherid != null" >
        #{friOtherid,jdbcType=BIGINT},
      </if>
      <if test="createBy != null" >
        #{createBy,jdbcType=BIGINT},
      </if>
      <if test="createTime != null" >
        #{createTime,jdbcType=CHAR},
      </if>
      <if test="updateBy != null" >
        #{updateBy,jdbcType=BIGINT},
      </if>
      <if test="updateTime != null" >
        #{updateTime,jdbcType=CHAR},
      </if>
      <if test="isDelete != null" >
        #{isDelete,jdbcType=CHAR},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.wechat.model.WechatFansFriend" >
    update wechat_fans_friend
    <set >
      <if test="friMainrid != null" >
        FRI_MAINRID = #{friMainrid,jdbcType=BIGINT},
      </if>
      <if test="friOtherid != null" >
        FRI_OTHERID = #{friOtherid,jdbcType=BIGINT},
      </if>
      <if test="createBy != null" >
        CREATE_BY = #{createBy,jdbcType=BIGINT},
      </if>
      <if test="createTime != null" >
        CREATE_TIME = #{createTime,jdbcType=CHAR},
      </if>
      <if test="updateBy != null" >
        UPDATE_BY = #{updateBy,jdbcType=BIGINT},
      </if>
      <if test="updateTime != null" >
        UPDATE_TIME = #{updateTime,jdbcType=CHAR},
      </if>
      <if test="isDelete != null" >
        IS_DELETE = #{isDelete,jdbcType=CHAR},
      </if>
    </set>
    where WECHAT_FANS_FRIEND_ID = #{wechatFansFriendId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.wechat.model.WechatFansFriend" >
    update wechat_fans_friend
    set FRI_MAINRID = #{friMainrid,jdbcType=BIGINT},
      FRI_OTHERID = #{friOtherid,jdbcType=BIGINT},
      CREATE_BY = #{createBy,jdbcType=BIGINT},
      CREATE_TIME = #{createTime,jdbcType=CHAR},
      UPDATE_BY = #{updateBy,jdbcType=BIGINT},
      UPDATE_TIME = #{updateTime,jdbcType=CHAR},
      IS_DELETE = #{isDelete,jdbcType=CHAR}
    where WECHAT_FANS_FRIEND_ID = #{wechatFansFriendId,jdbcType=BIGINT}
  </update>
</mapper>